<!-- answer -->
{% if withColumn %}
<div class='{{ coreClass }} row'>
    <div class="{{ extraclass }}">
{% else %}
<div class='{{ coreClass }} {{ extraclass }}'>
{% endif %}
    {% if prefix != '' or suffix != '' %}
        <div class="ls-input-group">
    {% endif %}
        <!-- Prefix -->
        {% if processString("trim(" ~ prefix ~ ")") != '' %}
            <div class='ls-input-group-extra prefix-text prefix'>{{ processString(prefix) }}</div>
        {% endif %}

        <!-- Input -->
        <input
            class="form-control {{ kpclass }}"
            type="email"
            name="{{ name }}"
            id="answer{{ name }}"
            value="{{ dispVal }}"
            {% if flatString(processString(placeholder,1),1) %}placeholder="{{ flatString(processString(placeholder,1),1) }}" {% endif %}
            {% if inputsize %}size="{{ inputsize }}" {% endif %}
            {% if maxlength %}maxlength="{{ maxlength }}" {% endif %}
            {% if question_template_attribute.multiple_email == 'yes' %}multiple {% endif %}
            aria-labelledby="ls-question-text-{{ basename }}"
        />

        <!-- Suffix -->
        {% if processString("trim(" ~ suffix ~ ")") != '' %}
            <div class='ls-input-group-extra suffix-text suffix'>{{ processString(suffix) }}</div>
        {% endif %}
    {% if prefix != '' or suffix != '' %}
        </div>
    {% endif %}
{% if withColumn %}
    </div>
</div>

{% else %}
</div>
{% endif %}

<!-- end of answer -->
